<!DOCTYPE html>
 <!-- svelte-ignore a11y-missing-attribute -->
 <html>
 <meta charset="utf-8">
 <head>
 </head><!--from w ww . d  em  o 2s. co m-->
 <script src=
 "https://cdnjs.cloudflare.com/ajax/libs/d3/4.2.2/d3.min.js">
 </script>

 <body>
   <center>
     <svg width="800" height="100">
     <g class="scal" transform="translate(50, 50)">
     </g>
   </svg>
 </center>
   <script>
 const values = [2, 4, 6, 7, 9 ];


 const Scale= d3.scaleLog()
   .domain([1, 10])
   .range([0, 600]);


 d3.select('svg .scal')
     .selectAll('circle')
     .data(values)
     .enter()
     .append('circle')
     .attr('r', 10)
     .attr('fill', "steelblue")
     .attr('cx', function(d) {
         return Scale(d);
     });

 </script>
 </body>
 </html>